From e6378ffdae96fe41c22a6bab1352ccec99ba78e3 Mon Sep 17 00:00:00 2001
From: Mahendrakar Srinivasarao <mahendrakars@microsoft.com>
Date: Thu, 13 Jul 2023 13:19:44 +0530
Subject: [PATCH v1] Increase limit for max length of the password

---
 src/backend/libpq/auth.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/backend/libpq/auth.c b/src/backend/libpq/auth.c
index a533786f08..ea6f27930b 100644
--- a/src/backend/libpq/auth.c
+++ b/src/backend/libpq/auth.c
@@ -685,7 +685,7 @@ recv_password_packet(Port *port)
 	}
 
 	initStringInfo(&buf);
-	if (pq_getmessage(&buf, 1000))	/* receive password */
+	if (pq_getmessage(&buf, PG_MAX_AUTH_TOKEN_LENGTH))	/* receive password */
 	{
 		/* EOF - pq_getmessage already logged a suitable message */
 		pfree(buf.data);
-- 
2.25.1

